
2005-04-13  Chris Kelly <ckdake@users.sf.net>  1.5

	* 1.5 Release
	
2005-04-13  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC4-cvs-b10

	* Change: New breadcrumb needed updating in slideshow and view_captions

2005-04-13  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC4-cvs-b9

	* Change: Remove EZPrints as an option for print providers at their
	  request.  Migrate all EZPrints users to Shutterfly.

	* Fix: Bypass annoying PHP5 bug for isset($var->unset['unset'])

	* Fix: Modify fs_file_get_contents() to simulate file_get_contents
	  if it doesn't exist.  GR was using file_get_contents without verifying
	  support first.

2005-04-13  Jens A. Tkotz <jens@peino.de>  1.5-RC4-CVS-b8

	* Fix: Album Navigation ignored returnto=no in the middle.
	       Result was that anytime the full line was showed.

2005-04-11  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC4-cvs-b7

	* Fix: getFile() failed to call fs_import_filename on Windows when
	  using file_get_contents - this caused problems with the old UserDB
	  format.

2005-04-09  Jens A. Tkotz <jens@peino.de>  1.5-RC4-CVS-b6

	* Fix: gallery_mail added unneeded (and invalid) second to: header.

2005-04-08  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC4-cvs-b5

	* Fix: Setup was using an incorrect string value for the thumbnails RSS option

	* Fix: Captions were not being properly included in RSS when thumbs-with-captions
	  was selected in the config wizard.

2005-04-07  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC4-cvs-b4

	* Fix: When displaying a single column in view_album, don't try to 
	  pad the row height to match other columns

2005-04-07  Jens A. Tkotz <jens@peino.de>  1.5-RC4-CVS-b3

	* Fix: $iconelement was not correct initialized.

2005-04-05  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC4-cvs-b2

	* Fix: Incorrect variable being referenced when setting a movie as
	  highlight resulted in a missing highlight thumbnail.

2005-04-05  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC4-cvs-b1

	* Fix: lib/Form.php - remove the newlines from selectOptions.
	  The High slideshow uses selectOptions in JS with document.write
	  which is incapable of handling newlines in its data.

2005-04-04  Chris Kelly <ckdake@users.sf.net> 1.5-RC3

	* 1.5-RC3 Release

2005-04-01  Jens A. Tkotz <jens@peino.de>  1.5-RC3-cvs-b23

	* "Fix": highest rating code in stats was broken -> commented out

2005-03-30  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b22

	* Fix: Logged in users now no longer use the stats cache - this will
	  prevent issues when using stats filters (which only logged-in users can see)
	  and should alleviate a possible caching-permissions/exposure bug.

	* Change: Removed some dead, commented code.

2005-03-29  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b21

	* Fix: check_mail.php now uses gallery_mail() instead of calling mail()
	  directly.

2005-03-28  Jens A. Tkotz <jens@peino.de>  1.5-RC3-cvs-b20

	* Change: Wording on view_album. 
		"admin options" -> "album actions"
		"edit ..." -> "... actions"

2005-03-27  Jens A. Tkotz <jens@peino.de>  1.5-RC3-cvs-b19

	* Fix: madmod1 skin had unquoted keys.

2005-03-27  Jens A. Tkotz <jens@peino.de>  1.5-RC3-cvs-b18

	* Fix: admin-page.php, stats-wizard.php, tools/despam-comments.php and 
	       tools/validate_albums.php gave errors when embedded.

	* Fix: Show manage user link in adminpage only when not embedded.

	* Fix: Added tools/validate_albums.php to securelsit to allow running embedded.

	* Fix: Typo in tools/despam-comments.php.

	* CHange: Moved some css from adminpage and stats-wizard into base.css
	        
2005-03-24  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b17

	* Change: Upgrade GR Applets to 1.4.2-b12

2005-03-24  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b16

	* Fix: multi_create_user wasn't globalized

	* Fix: Variable typo in manager_users

2005-03-23  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b15

	* Change: Don't update the album's mod time when users request mail
	  notifications.

2005-03-23  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b14

	* Change: An attempt to bypass the Zend problem of reversing breadcrumbs

	* Fix: IM5 strip logic was backwards, too?  *confuzzled*

2005-03-21  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b13

	* Fix: stats wouldn't filter by day, month and year.  Only one at a time.

2005-03-21  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b12

	* Fix: check_mail.php wasn't globalized

	* Change: rss.php - use <pb:width>... instead of attributes

	* Fix: Custom regenerate_session_id didn't work on Win32

2005-03-18  Jens A. Tkotz <jens@peino.de>  1.5-RC3-cvs-b11

	* Fix: Forgot a $ in b10 fix for the b4 fix.

2005-03-18  Jens A. Tkotz <jens@peino.de>  1.5-RC3-cvs-b10

	* Fix: The headers in the b4 fix was not concatenated.

2005-03-17  Jens A. Tkotz <jens@peino.de>  1.5-RC3-cvs-b9

	* Fix: b8 was senseless. Also removed a second senseless check.

	* Change: Moved backup_albums.php to tools/ folder.

2005-03-17  Jens A. Tkotz <jens@peino.de>  1.5-RC3-cvs-b8

	* Fix: Adminpage can be there for non admins, but for user you can modify users.

2005-03-16  Jens A. Tkotz <jens@peino.de>  1.5-RC3-cvs-b7

	* Change: A Sentence in album_permissions.php was not translateable.

2005-03-16  Jens A. Tkotz <jens@peino.de>  1.5-RC3-cvs-b6

	* Fix: Dont show warning message regarding permissions after having logged In.

2005-03-16  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b5

	* Fix:  The logic for determining whether to strip EXIF in IM6 is
	  the backwards of IM5.  As so elequently put by fryfrog:
	  "<fryfrog> so in 5.x they always dumped exif but had an option 
	  to preserve and in 6.x they preserve with an option to dump?"

2005-03-15  Jens A. Tkotz <jens@peino.de>  1.5-RC3-cvs-b4

	* Fix: Added Minimum Headers according to RFC 822 in gallery mail.

2005-03-13  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b3

	* Fix: Unquoted array refs, global scope issues, html comments 
	  surrounding script tags.

2005-03-12  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b2

	* Fix: Attempt to address phpBB unset()ing the op/name/modload vars
	  before we use them by not setting them until after we include
	  phpBB's files.

2005-03-12  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC3-cvs-b1

	* Fix: Unset array ref in do_command

	* Fix: Correct view album div sizes in situations where the thumbnail 
	  size is zero or blank.

	* Fix: session_test wasn't referencing 'destroy' from $_REQUEST

	* Fix: Update phpBB instructions to include new CSS file

2005-03-10  Jens A. Tkotz <jens@peino.de>  1.5-RC2-cvs-b32

	* Fix: Removed linebreak in translateable text.

	* Fix: Test for sending mail to new users failed, was sending anyway.

2005-03-09  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b31

	* Fix: Only try to watermark if the item isn't an album or a movie

2005-03-09  Jens A. Tkotz <jens@peino.de>  1.5-RC2-cvs-b30

	* Updated Copyrights to 2005.

2005-03-06  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b29

	* Change: PhotoWorks URL needed updating

2005-03-06  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b28

	* Fix: Make sure that the 'Hey! Upload some photos!' link knows it's a popup

2005-03-06  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b27

	* Change: Add 'validate_albums.php' to assist with migration to
	  Gallery 2.0

	* Change: Add validate albums to the admin page

2005-03-03  Jens A. Tkotz <jens@peino.de>  1.5-RC2-cvs-b26

	* Fix: Show "See full poll results" link only to admins and owners 
	       otherwise normal users get an errormessage.

2005-03-03  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b25

	* Fix: Ensure that mail is sent to 'other' users when adding a new
	  subalbum

2005-03-03  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b24

	* Fix: Revert jpk's change to lib/url.php - we have to use
	  GALLERY_MODULENAME instead of hardcoding 'com_gallery' because
	  it's possible to have more than one Gallery installed.

2005-03-03  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b23

	* Change: Change .pcaption to inherit font-size when embedded.  
	  It was showing up too small when embedded, for some reason.

2005-03-02  Jens A. Tkotz <jens@peino.de>  1.5-RC2-cvs-b22

	* Fix: Adjust skins:
	  - lilac
	  - paint
	  - slick
	
	Note: Now all standard skins shipped with Gallery are converted.

	* Text adjustments.

	* Added "return to admin-page" on tool pages.

2005-03-01  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b21

	* Change: stats.php text change

2005-03-01  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b20

	* Fix: Disable 'grid mode' in stat.php - there's no way to address the display
	  issues that it has during RC.

	* Change: Update 'embedding' text to mention the 'Ignore register_globals' option

2005-03-01  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.5-RC2-cvs-b19

	* Fix: Mambo support for the upload applet needed a new cookie to be passed.

2005-03-01  Jens A. Tkotz <jens@peino.de>  1.5-RC2-cvs-b18

	* Fix: Adjust skins:
	  - greenpurple
	  - hotred
	  - white1

2005-02-26  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b17

	* Change: Fix the 'No images uploaded' condition

	* Fix: Destroying the session at logout also prevented album redirection because
	  $gallery->session->album was empty

	* Fix: User input checking

2005-02-24  Jens A. Tkotz <jens@peino.de>  1.5-RC2-cvs-b16

	* Change: css enhancement for better readability of links in attention messages.

	* Change: Make "Hey! Add some photos." a link to add photos.

	* Fix: Added width for adminbox in base.css.
	  So "return to gallery" is correct aligned in tools/despam and tools/find-orphanes.

	* Fix: Show public stats link only when there are accessable photos.

	* Fix: Only check Files for EXIF Data on uploading that may have it. 

	* Change: Added more Debug messages in upload.

	* Change: The blue bar is now only in standalone, not in base.css for all.

2005-02-23  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b15

	* Fix: Switch use_exif back to what it was supposed to be.
	  The change in behavior was based on a user comment making me
	  misunderstand what the old behavior was.

2005-02-23  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b14

	* Change: stats link descriptions

	* Fix: phpBB modules.php was relying on globals that didn't exist

2005-02-21  Jens A. Tkotz <jens@peino.de>  1.5-RC2-cvs-b13

	* Change: Texts in setup/config_data.inc

	* Change: css consolidation in setup/config_data.inc

2005-02-21  Jens A. Tkotz <jens@peino.de>  1.5-RC2-cvs-b12

	* Fix: css class in EXIF Table

	* Fix: adjust skins:
	  - bpurple
	  - bred

2005-02-18  Jens A. Tkotz <jens@peino.de>  1.5-RC2-cvs-b11

	* Fix: css classes:
	  - captionator.php
	  - view_album.php

	* Fix: adjust skins:
	  - bblue
	  - bgreen2
	  - bluemod

	* Fix: Changed [] in stats links again to work with rtl languages 
	  (error appeared in FF)

2005-02-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b10

	* Change: Add extra session security by preventing session fixation
	  attacks.  Session IDs are changed on login and logout.

2005-02-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b9

	* Fix: stats.php was outputting an HTML comment before loading the embedded
	  header.

	* Fix: getIMVersion() was returning a full string instead of '5' or '6'

2005-02-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b8

	* Change: Add a new config option for bypassing our register_globals-disabled
	  emulation.  I do this unwillingly, and it is not a supported
	  configuration due to the potential for security issues and other problems
	  bug some people require the option.

2005-02-15  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b7

	* Fix: Move SMTP execution into its own function to be 
	  reused in emailLogMessage()

	* Fix: Remove admin page link for non-admins

2005-02-15  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b6

	* Fix: Print providers didn't display correctly if only one was selected

2005-02-15  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b5

	* Fix: Correct the directory name for CPGNuke includes

2005-02-15  John Kirkland <jpk@bl.org>  1.5-RC2-cvs-b4

	* Fix: the mambo breadcrumb query in init.php was not quite
          specific enough.
        * Fix: the mambo component name, com_gallery, was being set
          by a variable, but this doesn't work in all cases.

2005-02-15  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b3

	* Change: Move PhotoWorks/PhotoAccess down in the list, to preemptively
	  resolve some issues.

	* Fix: Make some changes to the logic surrounding when EXIF info is displayed
	  with images.  (If use_exif is set in the album, display it under the photo.
	  If use_exif is disabled, but exiftags or jhead is present, display the
	  "photo properties" link instead)

2005-02-15  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b2

	* Fix: ML_mode 0 caused error when gettext wasn't installed
	  due to duplicate function declaration

2005-02-15  Jay Rossiter <cryptographite@users.sf.net>  1.5-RC2-cvs-b1

	* Fix: backup_albums.php was not globalized

	* Text: Add the [] around the stats links for readability

2005-02-14  Chris Kelly <ckdake@users.sf.net> 1.5-RC1

	* v1.5 Release Candidate 1

2005-02-13  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b346

	* Change: Remove link/image border from new menu icons

2005-02-13  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b345

	* Typo

2005-02-13  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b344

	* Fix 1079796: Rebuild thumbnails reloads wrong page

2005-02-13  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b343

	* Fix 1082661: New user email not being sent

2005-02-11  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b342

        * Fix: Incorrectly aligned parens render the do_command XSS fix
          useless

2005-02-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b341

    * Text: Typo in config wizard

2005-02-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b340

    * Fix 1103572: Exclude ppmquant from using '--quiet', which 
      it doesn't like.

    * Fix 1099659: Add exiftags support for autorotate

2005-02-10  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b339

    * Fix: css in a form in albums.php

    * Fix: no class "admin" for admibox in view_album.php

    * Fix: docs link in config was broken

    * Fix: Adjust skins:
	- butterfly_green
	- suit
	- yellow

2005-02-03  Bharat Mediratta  <bharat@menalto.com> 1.5-cvs-b338

    * Added multisite support for caching albums.php.  You can now create a
      file called cache-domain.com.html and it will use that instead of
      cache.html.

2005-02-01  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b337

    * Change: removed unnecessary css definition in add_photos.php

    * Fix: css classed in watermark_album.php

    * Change: Removed unnecessary use of css classes and code indents in:
	- includes/add_photos/add_admin.inc
	- includes/add_photos/add_form.inc
	- includes/add_photos/add_other.inc
	
    * Fix: madmod1 skin was broken

    * Fix: Adjust madmod1 skin

    * Change: Applied RFE/Patch: #1032662, show navigation links to album in search result.

    * Fix: Do not use htmlentities in alt text in albums.php and in general (classes/Image.php)

    * Change: Adjust function to detect only skins that use new naming.

    * Change: Added ltr/rtl checks for iconmenu and adminbox

    * Change: Modidified display of print/mobile services and indenting in view_photo

    * Fix: removed [] around public stats links due to problems in rtl languages

2005-01-31  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b336

    * Fix: Prevent hidden image from being automatically selected as
      a new highlight when the existing highlight is deleted

2005-01-31  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b335

    * Fix: Prevent error if the user requesting the new password link
      doesn't exist anymore.

    * Change: Received the mPUSH associate account creation link from 
      Jon, and was finally able to link it up in the config wizard

2005-01-31  Christian Mohn <h0bbel@p0ggel.org> 1.5-cvs-b334

    *  Fix: Typo in setup/config_data.inc (Thanks bytenik)

2005-01-30  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b333

    * Fix: Ensure that if $album->photos is not empty, we save it to
      photos.dat - don't simply rely on transient->photosloaded being
      true, because if the photos somehow got stored in album.dat, this
      would fail.

    * Fix: Couple more possible unset-varaible issues

2005-01-30  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b332

    * Fix: Several unset variable issues

2005-01-26  Don Willingham <donwillingham@users.sf.net>  1.5-cvs-b331

    * Fix: Bug#1108825: [G1] pnmcomp renamed to pamcomp
	pnmcomp configured like pnmtojpeg
    * Fix: pnmcomp new checked in check_netpbm.php(diagnostic)
    * Fix: pnmtojpeg properly checked in confirm.inc

2005-01-26  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b330

    * Fix: bubbles skin

    * Fix: broken html in stats.

    * Change: use of '"' instead of "\"" and some layouts in stats.php

2005-01-25  Christian Mohn <h0bbel@p0ggel.org> 1.5-cvs-b329

    * Fix: Bad grammar in setup/config_data.inc (Fotokasten)

2005-01-25  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b328

    * Change: Way of css.
              css/base.css is loaded EVERYTIME.
	      css/screen.css is loaded in standalone, no skin.
	      css/embeddeded.css is loaded when embedded.
	      <skin>/css/screen.css is loaed when standalone with skin.
    
      - css/embedded_style.css.default is now EMPTY per default
      - removed css/standalone_style.css.default.
      - modified getStyleSheetLink(), _getStyleSheetLink().
      - outsourced/created getGalleryBase().
      - adjust jenskin.

      TODO: adjust other skins.

    * Change: Iconified Slideshow(s)

    * Change: refactored available_skins(), output is now sorted.

    * Fix: set margin:0px for all forms via css, because IE render them bad.

    * Fix: Translations in slideshow where to much english.
    

2005-01-23  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b327

    * Change: PhotoAccess changed its name to PhotoWorks - all of the backend
      variables are remaining the same because I don't want to force an album
      upgrade simply to rename a variable.  Only the public-facing text is being
      changed. (Select boxes, config wizard text, etc.)

2005-01-21  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b326

    * Fix: die() requires parens, and when comparing the URL, use && not ||

2005-01-19  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b325

    * Fix: Address several instances of improperly sanitized user-data

    * Change: Remove adv_search.php, since it doesn't work and isn't being maintained

2005-01-19  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b324

	* Fix: Per Album rss was broken.
	  Caught by: GeekLog Georg.

2005-01-18  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b323

	* Fix: Sorting for capture date in stats.php was broken, 
	       because it was based on old structure, not timestamp.
	  Caught by: Michael Dayah

2005-01-11  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b322

	* Change: New standard theme. its now blue.
	 TODO: adjust skins

	* New:  Added Icons in albums.php, view_albums.php and view_photo.php
		Choices are: only icons, only text, or both.

	 	- new getIconText()
		- new makeIconMenu
		
	* Change: Layout on: adminpage, slideshow, upgrade_album, user_preferences
		  view_comments, layout/adminbox.inc
	
2005-01-04  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b321

	* Change:  Temporarily disable the session hijack prevention until we
	  can re-think the detection method

2005-01-03  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b320

	* 1074480: $wmName was missing from globals in layout/watermarkform.inc

	* Fix: canModifyUser() is true when the user can modify themselves, so
	  we shouldn't use this as a key for displaying the admin page link

2004-12-28  Christian Mohn <h0bbel@p0ggel.org> 1.5-cvs-b319
	*New: Added per-album RSS patch (RFE #1020449) by
	      Don Willingham <donwillingham@users.sf.net>

	* New: RSS's alternate link tag added to view_album.php.
	* New: Added getSubAlbums to Album.php.
	* New: Added getAlbumsByRoot to AlbumDB.php.
	* Change: RSS link on bottom of album has ?set_albumName={albumname} 
	  appended.
	* Change: rss.php now obeys ?set_albumName, if set only items of named album
	  and children albums are generated.

2004-12-28  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b318

	* Fix: Bug 848309, moved JavaScript blur() to prevent
		main window from possibly having focus when a 
		popup window is in the foreground.

2004-12-28  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b317

	* Fix:  Bug 1079201, resolved JavaScript error

2004-12-20  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b316

	* Change: Remove debug code

2004-12-20  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b315

	* Fix: Voting in view_album.php  was broken (register globals)

	* Fix: HTML 4.01 changes to
		- poll_properties.php (not yet 100% valid)
		- view_album.php
		- poll_results (also added better footer)

	* Fix: Poll result were viewable for everybody. Now only admins or owner can see.

	* Fix: Language init in fresh installations didnt work.
	
2004-12-19  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b314

	* Change: Removed debug code.

2004-12-15  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b313

	* Fix: Delete comments through stats.php didnt work,
	       because comments of different albums are showed and so $gallery->album is not set.
	  - Added Parameter $albumName to viewComments()
	  - Use of viewComments with this parameter in stats.php
	  - This is caught by do_command.php due to layout/commentdraw.inc
	    and $gallery->album is generated.

	* Fix: admintext was not displayed in stats.php

	* New: Public links are now also displayed in stats.php. (RFE by Floridave)

2004-12-15  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b312

	* Fix: view_photo.php produced an error when no printservices is used.
	       Introduced in b311 with the sorting.

2004-12-14  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b311

	* Fix: Remove GALLERY_URL define from Mambo's section of index.php
	  This caused a bad path when displaying the 'unconfigured' error, 
	  and wasn't used anywhere else.

	* Change: Text changes for the service providers list, sort the list

2004-12-14  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b310

	* Change: if $type is not set when stats.php is called, 
		  we assume stats.php was called directly and display a default view.

2004-12-14  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b309

	* Change: Minor visual tweaks to stats and albums pages (removing/adding whitespace)

2004-12-14  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b308

	* Fix: statslinks for normal users are now optional

	* Fix: Added <span> around current page in navigator.
	
	* Change: Adjust layout for adminbox. Now nicer displayed in IE.

2004-12-13  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b307

	* Change: removed unnecessary <span class="admin"> around admin text and commands.

	* Change: removed unneeded $adminbox["top"]

	* Change: removed permission check in stats.php. Now EVERYBODY can access it.

	* Stats changes:
	  - New: Added possibility in config setup to define public links to stats. (config version bump)
		 Links are displayed on mainpage.
		 Links are created with a function that can be placed by the user.
	  - New: Added Javascript in stats-wizard that generates statsURL for copy/paste
	  - Moved definitions and function into a separate files. (includes/stats/stats.inc.php)

2004-12-11  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b306

	* New: Added support for exiftags. (RFE #810284)
	  - Added function getExifDisplayTool()
	  - Adjust function getExif()
	  - Adjust getItemCaptureDate()
	  - Added exiftags to confiwizard. (Bumped config version)

	 Note: So exiftags is only used in above cases ! (e.g. not for autorotation.)

	* Change: Tweaked optionals tools in config.

2004-12-10  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b305

	* Fix: function getImVersion introduced in b300 was total b0rked. (Sorry.)

2004-12-10  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b304

	* Change: Added target="_blank" to powered by link. (RFE #1020347)

	* New: Added login/logout link to view_photo. (RFE #582856 / #976764)

	* Fix: comments_addType was broken. (since b295)

	* Fix: Position of the add vote and add comment links was not used in stats.

2004-12-09  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b303

	* Remove debug code

2004-12-09  Christian Mohn <h0bbel@p0ggel.org>  1.5-cvs-b302

	* Fix: Typo in watermarking section of setup/config_data.inc

2004-12-09  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b301

	* Fix: do not reload page when clicking on Emailme in view_photo.
	       Instead load the page new.
	       This fixes an "out of bound" error on Macs.
	Thanks to: Randy J.

2004-12-09  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b300

	* Change: Layout
		- admin page.
		- Checkbox for emailing in view album page
		- layout/navigator.inc (we use now a table for the numbers)
		- tools/find_orphans.php (added nicer errormessages)

	* Change: Code cleanup for
		 - create_user.php
		 - slideshow.php (BIG changes)
		 - includes/slideshow/high.inc
		 - includes/slideshow/low.inc
	
	* Fix: Made valid html 4.01:
		- create_users.php
		- delete_user.php
		- manage_users.php
		- modify_user.php
		- includes/slideshow/high.inc

 	* Fix: Mambo calls rss.php in the way that HTTP_USER_AGENT is not set.
	  Check added in init.php to prevent warning message which causes rss.php 
	  to produce invalid rss.


	* New: Added function getImVersion() to detect version of ImageMagick.

	* Change: removed Config Option for that Version.

	* Change: Checkbox for emailing in view_photo is only visible, when disabled in album view.	

	* Change: function getEmailMe() from classes/Album.php return now true 
		  when emailMe is set for photo OR album. 

	* Fix: Slideshow low was broken (register globals)

	* Change: fs_unlink surpresses now the warning message. So we can show our own (nice) message.	

	* Change: Configwizard:
		  - Added Tab own tab for watermarking.
		  - Text changes in statistics tab
		  - Added possibility for empty desc
	
2004-12-03  Andrew Lindeman <alindeman@users.sf.net>    1.5-cvs-b299

	* Use htmlentities() on the caption fields for photo print 
	  services, to prevent invalid HTML when the caption contains
	  quotes.

2004-12-02  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b298

	* Fix: Make view_comments html4.01

	* Change: Only show subalbums in view_comments that have comments.

	* Change: Enhanced general footer.

2004-12-02  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b297

	* Change: Enhanced albumtree. Now the depth can be given.
	  This covers RFE #964594 and #1027307.

2004-12-02  Christian Mohn <h0bbel@p0ggel.org>  1.5-cvs-b296

        * Fix: Typos in admin-page.php

2004-12-02  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b295

	* Fix: "show pictures with most/less comments" were broken.
		(thanks to Marjan Laznik)

	* Change: Wording in stats and stats-wizard. (inspired by C.M.)

	* Fix: Add comments in stats now is always popup, regardless the default from config.php

	* Change: adjust layout in despam-comments, stats-wizard and find-orphans.

2004-12-01  Christian Mohn <h0bbel@p0ggel.org>  1.5-cvs-b294

        * Fix: Spelling in albums.php

2004-12-01  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b293

	* Change: Text change

2004-12-01  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b292

	* Change: Present a warning text when redirecting a user from an 
	  album/image that doesn't exist, or they don't have rights to
	  view.

2004-11-29  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b291

	* Fix: added isDebugging to a place it needed to be in util.php

2004-11-28 JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b290

	* New: add css to define text in add_photos.php

2004-11-28 JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b289

	* Fix: restored css for the tabs in add_photos.php

2004-11-28 JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b288

	* Fix: typo admin_form view_photo.php

2004-11-28 JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b287

	* Fix: CSS class.

2004-11-28 JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b286

	* Update: CSS cleanup, minor changes.

2004-11-28  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b285

	* Fix: Used adminfrom (introduced in 1.4.3-cvs-b12) also for printservice dropdopwn.
	       This prevents unreadability in some skins.

2004-11-28  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b284

	* Change: Call by reference for blacklisted test.

2004-11-28  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b283

	* Fix: admin-page is now html 4.01

	* New: Added general footer. Optional you can set $validation_file. 
	       That file will be used for validator.

	* New: Added blacklist test for new comments. if blacklisted, then the comment is not added.
	  Moved some functions from tools/despam into util.php

2004-11-27  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b282

	* Fix: Wrong test in confirm.inc enabled all features (zip, rewrite, mirror) any time.

2004-11-27  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b281

	* Change: Added admin-page.php to save space on first space.

2004-11-24  Andrew Lindeman <alindeman@users.sf.net>    1.5-cvs-b280

	* Fix: Don't quote literal variables

2004-11-23  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b279

	* Fix: Added stats/-wizard to safeToInclude List

	* Fix: Radiogroup in stats-wizard

	* Change: Layout Tweak of stats/-wizard, especially when embedded.

	* Change: tweaked function for validation to use referer when no file was given.

	* Fix: Added correct header and footer to stats-wizard and made is valid html 4.01
	  ToDo: make stats valid HTML	

	Thanks to Kai Tomalik.

2004-11-22  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b278

	* New: Added stats.php by Jeremy Gilliat.
	  - Added stats-wizard.
	  - Modified stats.php to fit with Gallery 1.5
	  - Added new Tab in Step 2 of config for caching settings.
	    (Config Version increased)

	* New: Added Parameter: $newestFirst for ordering.

	* Change: Added check must-be-integer and modified must-be-number in confirm.inc
	
2004-11-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b277

	* Fix: publish_xp issues with register_globals, and debug error display

2004-11-19  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b276

	* Fix 1069232: Big applet didn't work embedded

2004-11-19  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b275

	* Fix: Regex in despam comments were broken.

	* Change: Tweaked Layout of despam comments.

2004-11-19  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b274

	* Fix: Try and detect a corrupt albumdb.dat and rebuild without
	  displaying numerous errors to the user

2004-11-15  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b273

	* Change: Allow session-sharing in devMode so that pages 
	  can be validated using the W3 validation links

2004-11-12  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b272

	* Change: Never put case statements after default ... dur.  My bad.

2004-11-12  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b271

	* Add:  New print affiliate "Fotoserve"

2004-11-11  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b270

	* Change: Use file_get_contents (when it's available) instead of using
	  the while loop to fread.  Could be internally faster.

	* Change: Modify the version ranges to be 5.x and 6.x for the IM issue
	  and add a link to check_imagemagick for users who don't know what
	  version they have.

2004-11-11  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b269

	* Fix: fitToWindow failed on PHP where . was not in includepath.

2004-11-09  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b268

	* Fix: Only try to send email after saving album data, when email is activated.
	       This prevents an errormessage when creating album with debugmode on.
	  TODO: better way of debug output.

2004-11-09  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b267

	* Change: Refine the search regex to be faster and more accurate

2004-11-08  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b266

	* Fix 1061778: Tiny typo

	* Fix 1062609: ImageMagick 6.1.0+ switched its parameters again,
	  we're now going to have to require users to specify which version
	  that they're using.

2004-11-06  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b265

	* Fix 973081: Add some complicated regex to search.php to prevent
	  our highlight routines from breaking URLs when a portion of the
	  href matches the searchstring.  Still can be enhanced to work with
	  non-<a> cases.

2004-11-06  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b264

	* Fix: Don't display rss.php in offline mode

2004-11-05  Beckett Madden-Woods  <beckett@beckettmw.com> 1.5-cvs-b263

	* captionator.php: fix photos-per-page count to work with
	  register_globals off, and also when linked to from
	  albums.php

2004-11-04  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b262

	* Text: Update the Mambo HowTo.txt

	* Fix: Integrate the relavent portions of 1.4.4-pl3/4

2004-11-03  Beckett Madden-Woods  <beckett@beckettmw.com> 1.5-cvs-b261

	* Edit grammar in do_command.php (modifying text string).

2004-11-01  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b260

	* Fix: Uploading compressed files were broken due to wrong test.

	* Change: Lower extension when testing supported tool.

2004-10-31  John Kirkland <jpk@bl.org>  1.5-cvs-b259

	* Change:  Fix XP Publishing Wizard with register globals off.

2004-10-29  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b258

	* Fix 971760: Clear autorotate flag after rotating

	* Change:  Correct the 'canViewFull' behavior - we were 
	  allowing users to see the full image if there was no resized
	  available, however this was not the original intent.

2004-10-29  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b257

	* Fix 1055656: Return array() instead of NULL

2004-10-29  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b256

	* Change: Updated manifest to remove serious warning in config/Step1

2004-10-27  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b255

	* New: Added resizeAllPhotos() to classes/Album.php
	       Used in tweaked resize_photo.php. It has the possibility to do the resize recursive.

	       Mostly done by Dell'Aiera Pol <dellaiera.pol@gmail.com>

2004-10-26  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b254

	* Change:  1.5 has been re-versioned to 1.5 due to the vast
	  number of changes, and in preparation for G2.

2004-10-26  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b254

	* Change: Albums now generate notification mail when they're 
	  created for the first time.

	* Fix 1054337: Logic in extra_fields thought it was inside a foreach
	  ... but it wasn't.  It skipped counting a field if both Title and
	  AltText were enabled.

2004-10-25  Chris Kelly <ckdake@users.sf.net>  1.5-cvs-b253

	* Fix 1052876: Corrected CSS for RSS button
	
2004-10-24  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b252

	* Fix 1034893: Fix the print dropdowns in 'suit'

2004-10-23  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b251

	* Fix 995510: Better animated gif support under ImageMagick

2004-10-23  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b250

	* Fix 1052559: Regex error in gallery_mail() caused the char preceding
	  or following a bare \n to be removed during conversion.

	* Change:  whitespace/readability.  No flow changes

2004-10-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b249

	* Fix: fitToWindow didn't work with image frames, since the frames themselves
	  were never resized to match the new image height.

2004-10-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b248

	* Change: Fix margin on Search form for IE.

	* Fix 783843: Get rid of width=3000 and width=4000 - all of the recent
	  layouts have finally made this unnecessary!

	* Fix 839037: Allow relative URLs, but warn the user that it will break
	  some features (printing, etc.) since the printer will not be able to find
	  the Gallery install.

	* Fix 930742: Prevent repetetive automatic re-highlighting of an album 
	  during delete.

	* Change: register_globals issue - canCreate, isAdmin and Cancel on 
	  the modify_user page

	* Fix 1047814: Renamed the 'action' field to 'formaction' to prevent JS/DOM
	  naming conflict

2004-10-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b247

	* Fix 1003564: Custom textcolor not applied to captions

	* Fix 1023569: RSS was removing "non-print" characters, which b0rked
	  non-US languages.

2004-10-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b246

	* Fix 1006567: If an image filename is stripped of disallowed chars,
	  and the new filename is blank, use newPhotoName() to get a unique name
	  from the album.

	* Change: Code tweaks in sortPhotos .. no flow changes.

2004-10-22  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b245

	* Fix: Multiple deletion of comments failed.

	* Fix: Prevent errormessage on reload after deleting multiple comments.

	* Change: If someone tries to get a not existent comment, return null instead of throwing an error.

2004-10-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b244

	* Change: Missing echo in login.inc

2004-10-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b243

	* Change: Migrate the config wizard to use the Gallery session for
	  data storage instead of making gigantic, problematic forms.
	  (This solves such issues as urldecoding too many times.)

2004-10-20  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b242

	* Change: Added dir="ltr" around image frames. Next step in Bug #869641.

2004-10-19  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b241

	* Fix: Breadcrumb in search had no Border.

	* Change: Rewrite of search.php
	  - We looped twice through complete albumDB. Now only onces.
	  - All search results are now in an array, therefore we can separate
	    code from html output.
	  - Little Layout change.

	* Change: Adjust layout/searchdraw.inc to rewritten search.php

	* Change: intented search header

	* Fix: Added cpgnuke to header and footer wrapper

2004-10-18  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b240

	* Change: Reverted Change in ml_pulldown. a combo or flag for 1 language makes no sense.

2004-10-18  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b239

	* Change: Present a URL to re-login if a session hijack is detected

	* Change: Don't detect a hijack if there is no remoteHost defined
	  in the session (upgrade scenario)

2004-10-18  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b238

	* Change: Extra security for sessions.
	  When the initial session is created, we store the REMOTE_ADDR
	  taken from the server, on each load, we compare the stored address
	  against the information in the current request.  If the address
	  has changed, we die with an attempted security breach.  This prevents
	  hijacking of sessions simply by knowing/sniffing the PHPSESSID from
	  cookies.

	* Change: Use !empty() instead of "sizeof() > 1" in ml_pulldown

2004-10-18  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b237

	* Fix: Modified Skins to look better in rtl languages. Fixes partly bug #869641.
	
2004-10-18  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b236

	* Fix: Add useLoad to getRequestVar in rename_album

2004-10-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b235

	* Fix: initLanguage does need to be called early, so I've added
	  some extra logic to prevent the functions from being initialized
	  multiple times, so that we can call it later to pick up user prefs

2004-10-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b234

	* Fix: Comparison typo

2004-10-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b233

	* Fix: Config wizard properly handles smtpPassword now.  Previously,
	  password values were never saved in the config file, so this was an
	  unseen case.

2004-10-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b232

	* Fix: Tested and fixed SMTP code

	* Fix: Prevention of bare linefeeds in email messages, which could
	  cause errors with strict MTAs.

2004-10-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b231

	* Bug 1048609: Escape "&" in navigator URLs

	* Fix: Modify getParentAlbums() so that array_reverse() isn't used -
	  it caused failures when any of the album names contained only
	  numbers - it would reset them to a zero-based incremental,
	  thinking that they were array refs, not strings.

2004-10-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b230

	* Change: Update opendir() calls to fs_opendir()

	* Change: Remove reliance on the "Get rid of resized" string as 
	  a parameter in Image->resize() due to the fact that translation
	  issues could cause the button on resize_image.php to fail

	* Delete: Remove the Mambo Popup Template, which was never used.

2004-10-17  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b229

	* Remove invalid html from navigator

2004-10-17  Chris Kelly	<ckdake@users.sf.net> 1.5-cvs-b228

	* Show if images are hidden when editing captions.

2004-10-15  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.5-cvs-b227

	* Removed references to JSX in applet instanciation HTML.
	* Added metadata-extractor JAR, to support big applet.

2004-10-15  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b226

	* Fix: uncritical cpgNuke Fixes.

	* Fix: uncritical fix for getEnvLang, it was possible that nothing was returned.

2004-10-14  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b225

        * New: CSS :focus for input, textarea and selectboxes.
	       Used in config, "none" and "jenskin".

2004-10-14  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b224

	* New: CPGNuke integration.

2004-10-13  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b223
	
	* Fix: Bug #1023285
	       Language was initialized before user were set.
	       Thats to early, because then usersettings are ignored.

2004-10-07  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b222

	* Change: Return "" if string is empty in unhtmlentities (issue with older PHP?)

	* Change: Attempt to speed up the config wiz by a little bit.  Converted all
	  item names to use '' rather than "".  (Next will be the values themselves)

	* Change: Add mPUSHAccount setting, so the user can setup their own affiliate
	  account with mPUSH.

2004-10-07  Don Willingham <donwillingham@users.sf.net>  1.5-cvs-b221

	* New:  Add ability to only watermark the resized or full or both images.

2004-10-06  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b220

	* Change:  'Refresh' button causes the confirm page to post back to itself
	  This prevents the annoying "Refreshing this page requires a POST" browser error

	* Change:  Add a description field to the print services in the config wizard.

	* Change:  Correct the account for mPUSH

2004-10-06  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b219

	* New: Possibility to rebuild thumbs recursivly.
	       Code changes in do_command.php and classes/Album.php
	       Mostly done by Dell'Aiera Pol <dellaiera.pol@gmail.com>

	* Change: Tweaked do_command.php. Use of switch/case instead of if/else/elseif

	* New: Added function printPopupStart() that prints the HTML output for Popups.

2004-10-03  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b218

	* Change: Put popup related functions into lib/popup.php

	* Change: Put URL related functions into lib/url.php

2004-10-03  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b217

	* Fix: Missed a forgotton Popup.

2004-10-03  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b216

	* Fix: Reloaded Popups e.g. in Mambo were embedded.
	  (Caught by Kai Tomalik)

2004-10-03  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b215

	* Change: Tweaked the multiple comment deletion with using array_reverse()

2004-10-02  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b214

	* Fix: Added doctype to view_comments and make it valid HTML 4.01

	* New: Added possibility to delete muliple comments.

	* Fix: De-globalize modify_user.php

2004-10-02  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b213

	* New: Added rar support. This means Gallery can now handle following archive formats:
		'zip', 'rar', 'cab', 'arj', 'lzh', 'tar', 'gz', 'bz2', 'ace', 'uue', 'jar', 'z'

	* New: Added archive handling functions.

	* Change: Added some Comments in save_photos and adjust to rar support.

	* Change: Replaced some
			$url = eregi_replace("^[[:space:]]+", "", $url);
		with	$url = ltrim($url)

	* Change: removed some unused vars.

2004-10-01  Beckett Madden-Woods  <beckett@beckettmw.com> 1.5-cvs-b212

	* Change: index.php: Added "rss.php" to $safe_to_include

2004-09-27  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b211

	* Fix: Small tweaks to mambo xml, maybe to alleviate uninstall issues?

	* Fix: fullOnly URLs were using do_command?  No idea why, but fixed.

2004-09-27  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b210

	* Fix: Update the gallery.xml to work with Mambo 4.5.1
	  (Mainly, remove the 'template' section)

2004-09-27  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b209

	* Change: Minor flow change in mambo section of init.php

	* Change: Addition of 'sessionStart' variable to $gallery->session
	  to help debug session issues

2004-09-27  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b208

	* Change: view_album doesn't need to reference the current album 
	  in breadcrumbs - it's confusing.  view_photo does

2004-09-26  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b207

	* Fix: Don't unset the mambo session vars immediately after setting them.

	* Change:  Correct a couple popups in view_album

2004-09-24  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b206

	* Change: If we're in mambo, just set the session info all the time.
	  Only setting the info when popups were created tended to yield errors.

2004-09-23  Andrew Lindeman <alindeman@users.sf.net>    1.5-cvs-b205

	* Fix: Also replace this instance of printf (see log message for b204)

2004-09-23  Andrew Lindeman <alindeman@users.sf.net>    1.5-cvs-b204

	* Fix: Use sprintf instead of printf in the watermark form when setting the
	       error message to a string

2004-09-23  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b203

	* Fix: removed \n after view comments. it was in a single quotes.
	       (caught by Christian M.)

	* Change: Owner can now always see comments. global changed in classes/User.php

	* Fix: view all comments was not working proper.

	* New: Added css class commentIndication. (Currently only used in 'none' and 'jenskin').

2004-09-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b202

	* Change: Link movies to view_photo so that users can leave comments

	* Change: Update printChildren to use some better HTML (fewed redundant nestings)

	* Change: Add some more comments to find_orphans to alleviate (my) confusion

2004-09-23  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b201

	* New: Added new method 'getParentAlbums' to classes/Album.php

	* Change: use new function in view_album.php and view_photo.php to build the returnto links

	* Fix: Allow admins to change albumname even if they are not owner.
	
	* Fix: removed unneccessary index parameter when calling rename album from view_album

2004-09-21  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b200

	* Fix: removed warnings in find_orphans

	* New: Added function for recursive counting of array elements.
	       Code by Andrew Lindeman.

	* Fix: corrected count of orphaned images. (use of the new function)

	* Fix: Added tools/despam-comments.php to list of translateable files.

	* Change: Layout of find_orphans.
	
2004-09-20  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b199

	* Change: Don't play with un-initialized vars in config wiz.

	* Change: Try and use (include|require)_once where applicable - 
	  the original thought was to try and allow block-random to be able
	  to be called without using URLs, however I'm beginning to think that
	  it's not possible.

	* Change: Extra config var so that users can tweak some more random block
	  settings (number of times we attempt to find an image before giving up -
	  they can choose performance over 'find an image every time')

	* Change: Add some more extensions to the acceptableMovieFormat list

	* Change: Remove "session.bug_compat_warn off" from the htaccess.template

	* Change: Add "register_globals off" to the htaccess.template

2004-09-19  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b198

	* Change: Mambo updates.  We can't use _() in gallery.php, because
	  that's a Mambo file, not a Gallery file.  We don't know if gettext is
	  enabled, and we haven't loaded our shim yet.

2004-09-16  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b197

	* Change: Further popup support work (save_photos)

	* Change: Remove extra veritical whitespace from the DOCTYPE header

2004-09-16  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b196

	* Change: Modifications to make popup support better in Mambo

2004-09-16  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b195

	* Change: Make orphaned items links to the item.  This will allow
	  users to view the album they're re-attaching (or the parent), 
	  as well as the images they're about to delete.

2004-09-16  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b194

	* Fix: view_album now honors the 'Email me when' form

	* Fix: watermark_album de-globalized

2004-09-16  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b193

	* Add: Flesh out the findOrphanedImages(), add deleteOrphanedImages()

	* Change:  find_orphans can now identify and delete orphaned images
	  which were the result of a failed upload, or other catastrophic issue.
	  For some users, this could clear up a lot of space.

2004-09-15  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b192

	* Fix: Use of dirname(dirname()) in setup was incorrect.  GALLERY_BASE
	  should be used instead, due to Debian.

	* Change: Rename findOrphans() to findOrphanedAlbums()

	* Add: Stub function for findOrphanedImages() in find_orphans.php

2004-09-14  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b191

	* Fix: Change 'delete' to 'deleteButton' to prevent the JS errors
	  onsubmit

2004-09-15  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b190

	* Fix:  Added putenv("LC_ALL" ...) in lib/lang.php to fix problems on FreeBSD 4.10

2004-09-12  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b189

	* Change: HTML cleanup

	* Change: Move the adminOptions form tags inside the table, and apply the necessary 
	  CSS (margin-bottom:0px) so that IE displays it correctly.
	
	* Change: Applied form CSS in a couple other locations to try and unify IE/Mozilla

	* Fix: Remove duplicated globals call from breadcrumb.inc

2004-09-11  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b188

	* Add: Add support for 'Coral', a peer-to-peer webcache to init.php
	  http://gallery.menalto.com/index.php?name=PNphpBB2&file=viewtopic&p=94428#94428

	* Change:  Correct several uses of preg* to ereg, to stick with the G1 standard

	* Fix: Inline comment posting in view_photo

	* Change: A bit of whitespace fixing

2004-09-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b187

	* Fix: Missing paren in init.php

2004-09-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b186

	* Fix: Badly renamed button in resize_photo

	* Change:  Make register_globals a "Serious Warning!"/"Continue at own risk..." in
	  the config wizard.

	* Change:  Internally "disable" register_globals in init.php by calling unset() on
	  each $$key from $_REQUEST.  The idea is that this will be a workaround for
	  Geeklog embedding, but it will still give us the extra security we need.

	* Fix: Correct the 'Warning' code in check.inc to behave like the failure code,
	  and remove the 'nocolor' flag, which was unnecessary.

2004-09-11  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b185

	* New: Added images/favicon.ico as favicon. Inserted via common_header()

	* Change: Little html output beautify in albums.php and view_album.php

2004-09-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b184

	* Fix: poll_properties and reset_votes

2004-09-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b183

	* Fix: Set Nested Properties

2004-09-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b182

	* Fix: Last second bug.  You can't empty() a function call.

2004-09-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b181

	* Fix: gallery_remote2 now works with GR, fix a lot of small PHP issues
	  (unquoted array refs, etc.)

	* Fix: Get rid of the ugly foreach loop and just make save_photos use $_FILES
	  directly

2004-09-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b180

	* Fix: variable typo in resize_photo

	* Fix: Don't try to use header() when debugging, because we've already sent text
	  (captionator)

2004-09-10  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b179

	* Fix: Caption options in upload via form was ignored.
	       Fixed with de-globalize setCaption in save_photos.php

2004-09-10  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b178

	* Change: Make "Layout" the first tab in Step3 of config.
		  This avoids confusing. Because is initially selected, but was 2nd tab.

	* Fix: Creating Subalbums did not work.
	       Fixed with de-globalize do_command a little more (parentName for subalbum)

2004-09-10  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b177

	* Fix: De-globalize sort_album.php, view_photo_properties.php, extra_fields.php

2004-09-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b176

	* Fix: Some popups in Mambo were still displaying inside the UI
	  because they were not built using 'type=popup' for makeGalleryURL

2004-09-09  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b175

	* Fix: Admin password correctly stored in config wiz.

2004-09-09  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b174

	* Fix: removed Warning in classes/Album.php

	* Fix: completed change albums permissions fix.

	* Change: use strict html 4.01 in albums.php for <link> to avoid confused Validator

2004-09-09  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b173

	* Fix: De-globalize do_command.php, album_permissions.php

	* Fix: initial admin user was not created in setup, as the password were not global.

2004-09-09  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b172

	* Fix: De-globalize manage users, create user, edit_field.php, add_photos.php, save_photos.php,
	       add_form.inc

2004-09-08  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b171

	* Fix: view_album wasn't honoring $page

	* Fix: PHP notice about unset watermark var in view_album

	* Fix: Correct save_photos when using methods other than Form

2004-09-08  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b170

	* Fix: Bug in view_photo prevented inline comments from operating
	  if the user didn't have View Full rights.

	* Fix: Add missing var to add_comments.php

2004-09-08  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b169

	* Bug 1000425: Use 'deleteButton' instead of 'delete' because
	  of a JS keyword

2004-09-08  Christian Mohn <h0bbel@p0ggel.org>  1.5-cvs-b168

        * Fix: Closing bold tag in displayPhotoFields  

2004-09-08  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b167

	* Change: Remove duplicate and unused options from despam-comments

2004-09-08  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b166

	* Change: De-globalize gallery_remote2

	* Fix: function typo in despam-comments

	* Change: Use dirname(dirname()) instead of '../' in build_manifest

2004-09-07  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b165

	* Change:  Remove session_register(), which is deprecated (and not
	  necessary, since we use $_SESSION)

	* Change:  save_photos - Don't save the album if there were 0 photos
	  uploaded.

2004-09-07  Andrew Lindeman <alindeman@users.sf.net>    1.5-cvs-b164
	
	* Prevent a possible PHP error (pedantic)

2004-09-07  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b163

	* Fix: Incorrect function pluralization

2004-09-07  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b162

	* Fix: De-globalize find_orphans

2004-09-07  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b161

	* Fix: I brokeded the config wizard.  Now working and de-globalized

2004-09-07  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b160

	* Fix: Add register_globals check to config wizard

	* Fix: De-globalize login.inc

2004-09-07  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b159

	* Fix: De-globalize delete_album and new_password

2004-09-07  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b158

	* Fix: Initial commit of the gallery-wide conversion away from
	  register_globals. This commit does not address 100% of the
	  codebase, however it covers everything that I found in general
	  use.  There will be broken sections, and it does need lots of
	  testing.

2004-09-07  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b157

	* Change:  Recursive permissions in ælbum_permissions.php

2004-09-07  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b156

	* Fix: one more stray invalid css class name

2004-09-07  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b155

	* Add: Initial implementation of mPUSH content service.
	  (Currently displayed as a print provider, but mPUSH actually
	  allows you to send images to a user's cell phone.)

	* Fix: global $gallery in numAccessibleItems

2004-09-03  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b154

	* Change: Versioning is moved to a comment (immediately following
	  'Powered by') unless the gallery is in debug or devMode, or the
	  logged-in user is an administrator.

	  Defaults to "v1"

2004-09-03  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b153

	* Fix: Switch edit_caption to the new timestamp format, instead of
	  the old array

2004-09-03  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b152

	* Change: Text changes.

2004-09-03  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b151

	* Change: Add class='admin' to the admin urls embedded in albums.php

2004-09-02  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b150

	* "Fix": Made "points" translateable in poll_properties

2004-09-02  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b149

	* Change: Don't require .htaccess file creation in config wizard
	  but notify the user that features will be disabled, and disable
	  rewrite support.  This is to allow installation on servers where
	  dot-files are not allowed to be written at all.

2004-09-02  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b148

	* Fix: Add mod_php5 section to setup/.htaccess

2004-09-02  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b147

	* Fix: addslashes() to DIRECTORY_SEPARATOR prior to adding it to
	  the mambo database.

2004-09-01 JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b146

	* Change: css changes to finish up new skin mods
	
	* New: madmod1 skins that takes advantage of the skin mods

2004-08-31  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b145

	* Fix: two more popup css changes that got left out before

2004-08-31  JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b144

	* New: Added class vapoll to voting output (allows more control over the text)

	* Fix: Calculate minimum width for $divCellWidth if voting "rank" is selected

2004-08-31  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b143

	* Change: remove array_search substituin from util.php as we require the use of PHP >= 4.1.0

	* Fix: remove Warning in tools/despam-comments.php

	* Change: Layout adjustment in tools/despam-comments.php

	* Fix: Made 'description' translateable.
	  (Note we need a better way translate fieldnames in editField()

2004-08-30  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b142

	* Change: Content of popup for uploading photos is not hardcode centered.

	* Change: No Alttext "No Caption", when Picture has no caption. RFE #962176.

	* Change: HTML Output beautify for add_photos form.

	* Change: Update Jenskin.

2004-08-29  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b141

	* Fix: Shorttags in watermark_album 

2004-08-29  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b140

	* Fix: Shorttag at the top of block-random

2004-08-30  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b139

	* Fix: Remove PHP Warnings in view_album, Fixes SF Bug #1018848.

2004-08-29  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b138

	* Fix: Always use the correct functions and import your globals
	  before trying to use them.

2004-08-29  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b137

	* Fix: Remove half-written debug code

2004-08-29  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b136

	* Fix: Remove the block-random cache file whenever we delete photos

	* Change: Separate the mail headers so that it's easier to read.

2004-08-28  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b135

	* Fix: remove tr that was causing netscape problems
    
	* Change: vertically align albums at the top of the table cell on the front page

2004-08-27  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b134

	* Fix: one more stay "popup" css class removed

2004-08-27  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b133
	* Fix: one popup had the wrong class tag for its body

2004-08-27  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b132

	* Change: new popup CSS and class tags in all popups  to reflect 
	          this. see embedded_style.default.css for what they do.

2004-08-28  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b131

	* New: Added optional Parameter $extraJS to popup_link()

	* Change: If you click on the link to view a screenshot for Skins,
	  its also selected in selectbox.

2004-08-28  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b130

	* Fix: view_album was a little b0rked when frames around thumbs and subalbums where different

	* Change: Skin bars002. Its a side by side layout.

	* Fix: There was always a "." when Date of last comment was enabled.
	  Caught by Dariush.

2004-08-26  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b129

	* Change: Remove class .vaspacer from all skins.

	* Fix: Corrected invalid CSS and removed margin-left inside a centered div.
	       (fixes alignment in Opera 7.x)

	* "Fix": Vertical center thumbnails again.

2004-08-25 Christian Mohn <h0bbel@p0ggel.org> 1.5-cvs-b128

        * Change: Replaced "header" with "footer" in html_wrap/ footer files
		

2004-08-25 JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b127

	* Change: Use divs instead of tables for view_album.php

2004-08-24  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b126

	* Fix:  Long filename / disclosure fix

	* Fix:  Sorting by caption ignored albums, because they have no "caption"
	  It now sorts them by their titles.

	* Change: Add getGUID() to prevent code repetition

2004-08-20  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b125

	* Change:  different div tags in login.php as well as centered text 
		boxes.  This is a temporary fix until the full review of
		ideas for CSS is finished.

2004-08-19  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b124

	* Change:  Minor wording changes

2004-08-19  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.5-cvs-b123

	* GR protocol: now returning the max image size for albums in addition
	  to the intermediate size.
	* gallery_remote2.php: removed output buffering.

2004-08-19  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b122

        * Fix: Make doubly-sure that we're setting mambo session vars when
          embedded, to prevent the 'No info' error.

2004-08-19  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b121

	* Fix: Typos.

2004-08-18  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b120

	* Change: Extra whitespace in despam-comments

	* Fix: Missing echo in save_photos

	* Change: Prevent non-admin users from changing their own usernames via user
	  preferences

	* Change: Use & refs in get*Vars to save a miniscule amount of memory

2004-08-18  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b119

	* Fix: Added a setup option for "slowPhotoCount".  The accurate photo count
	  on the Gallery index page was a much requested change, however it proved to
	  be so slow on some machines/Galleries that this will disable it unless
	  explicitly enabled by the user during setup.  (Galleries with vast numbers
	  of albums or images could take as long as 30 seconds to load the index, by
	  user reports)

2004-08-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b118

	* Fix: Variable ordering bug in user_preferences

2004-08-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b117

        * Fix: Navigation bar width was dependant on whether images were resized or not...
          this caused albums where resize_size was off to have the table width set to 0.

        * Fix: Extra-long filename prevention in save_photos.php, as well as verifying
          that the uploaded file is a valid image format before saving to the temp
          directory

2004-08-16  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b116

	* Fix: Enable slideshow in albums containing only sub-albums when
	  slideshow_recursive is yes.

2004-08-17  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b115

	* Change: Code cleanups in util.php

	* Fix: Moved return out of if clause in getFilesVar() and getEnvVar()

2004-08-17  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b114

	* Fix: Added missing ) in classes/Album.php

2004-08-16  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b113

        * Fix: If 'shutterfly' is set, but not checked, unset it during the
          album upgrade.  This caused shutterfly to appear even though it wasn't
          really enabled.

2004-08-16  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b112

	* Fix: bharat's cache code - Use getRequestVar() instead of 
	  HTTP_GET_VARS and move the return inside the fopen, so that 
	  if it fails for any reason we don't return a blank page

2004-08-16  Bharat Mediratta  <bharat@menalto.com>  1.5-cvs-b111

	* Modified block-random.php to put the part that retrieves a 
	  photo into a function so that sites can easily modify it to
	  generate 2 random photos (like we do on gallery.menalto.com)

	* Fixed tools/despam-comments.php to work properly inside 
	  Postnuke (and hopefully all other CMSen)

2004-08-16  Bharat Mediratta  <bharat@menalto.com>  1.5-cvs-b110

        * Added a tool for finding and removing comment spam from your 
          gallery.  You can import and maintain your own blacklist.
          It's very inefficient, but it works.

2004-08-15  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b109

	* Change: Corrected Userfile check again - checking is_writeable()
	  by itself wasn't sufficient.

2004-08-15  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b108

	* Fix: The 'Userfile not writeable' error completely broke new installs where
	  the userfile doesn't exist yet.

2004-08-15  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b107

	* Fix: Remove Debug Code.

2004-08-15  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b106

	* Change: Use timestamp for itemCaptureDate. This required a album version bump.

	* New: Possibility to use capture date as caption.

2004-08-13  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b105

	Change: Initial commit of a little Block for Caption Options during upload.

	Fix: strftime uses different format then date (for captions)

2004-08-11  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b104

	* Change:  Porting a missed fix forward - 
	  phpBB2/modules.php needs to extract variables even when register_globals
	  is enabled.

2004-08-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b103

	* Change: Support the new-style phpnuke embedding (no 'modload' passed)

	* Change: Correct the sample phpnuke random block

2004-08-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b102

	* Add: block-Random_Image.php.sample for phpnuke

	* Change: Added gpl.txt to phpBB2/modules.php

2004-08-09  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b101

        * Fix: Print fatal error message instead of obscure PHP error
          when userDB fails to init before we try and use it.

	* Change: Print the correct graphics package path in check_imagemagick.php

2004-08-09  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b100

	* Change: Add 'properties' link to the main page for 
	  each root album

	* Change: Make 'apply to subalbums' text clickable

2004-08-09  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b99

	* Fix: $i got removed from makeGalleryUrl()

	* Change: check isset() on request vars in index.php

2004-08-09  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b98

	* Change: Make several files ready for register_globals
	  photo_owner
	  search
	  user_preferences
	  index

2004-08-09  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b97

        * Fix: numAccessibleItems was incorrectly checking isHiddenRecurse()
          for albums.  It needed to just be isHidden()

2004-08-08  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b96

	* New: Delete of multiple users.
	
	* Changed: Added possibility to transport an array via makeGalleryUrl

	* Change: Comment out a button disabling due to JS error.
	  Note: This needs to be fixed correctly !

2004-08-06  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b95

        * Fix: Prevent foreach() error from being displayed when previewing
          watermark previews.

        * Fix: Logging into Gallery as a non-admin and then trying to reset
          the admin password failed.  The logged in user was used and the
          resetadmin file was ignored

2004-08-05  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b94

	* Change: Only call srand() once, instead of once at each rand()
	  location.

2004-08-05  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b93

	* Fix: Quote URLs in  block-random for better HTML compliance
 
2004-08-05  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b92

	* Fix: Adjust Subject changes also to SMTP method.

2004-08-05  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b91

	* Fix: Use unhtmlentities for subject and msg in gallery_email()

	* Fix: Add header for content charset in gallery_email()

2004-08-04  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b90

	* Change: When user wants photo captions to be filedate,
	  then now the format from config is used.

2004-08-03  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b89

	* Fix: Bug #1002883  Albums could be renamed to include a 
		% character in the name which is interpreted as 
		an escape character and causes all kinds of issues

2004-08-02  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b88

        * Fix: Extract _FILES in phpBB2's modules.php

        * Change: Remove modules.php.gz, add modules.php so that we can track
          code changes.  There's no real reason for it to be gzip'ed.
          - Updated HowTo.txt and removed 'unzip'...

2004-08-02  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b87

	* Fix: multi_create was b0rked

2004-08-02  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b86

	* Change:  Modify all popups to have the same CSS tags so that
		they will look more uniform and look better with skins.

	* Fix: misc. html cleanup including removing center tags and
		replacing with align="center"

2004-08-02  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b85

	* Fix: Correct logic in _getStyleSheetLinks 

2004-08-02  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b84

	* Change: Added "Return to Gallery" link to find_orphans.php

2004-08-02  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.5-cvs-b83

	* Fixed phpBB2 integration (I'd missed the big superglobals change before).
	* Fixed version number (b82 didn't bump).

2004-08-02  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b82

        * Fix: Correct the check_exec function which was being a little too liberal
          in its regex for exec.  (shell_exec was incorrectly labeled as 'exec')

        * Fix: Don't display clickable dimensions for movies

        * Fix: Stack the custom fields on top of each other - users were
          really displeased by the side-by-side view

        * Fix: The admin options on root albums were displaying inside the
          Mambo UI.

2004-07-31  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b81

	* Change: Make edit_appearance compatible with register_globals being
	  turned off.

	* Change: Make sessions compatible with no-register_globals

2004-07-31  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b80

        * Change: edit_appearance needs to properly handle the empty variable
          without issuing any PHP notices/warnings
          (Thanks for finding the issue, Tim)

2004-07-31  Jens A. Tkotz <jens@peino.de>  1.5-cvs-79

	 * Fix: Disabling ALL print services in edit_appearance (album properties) did not work.

2004-07-31  Jens A. Tkotz <jens@peino.de>  1.5-cvs-78

        * Fix: Removed shorttags in classes/phpbb files

2004-07-30  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b77

        * Fix: The admin options on root albums were displaying inside the
          Mambo UI.

2004-07-29  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b76

	* Fix: view_comments would display albums without read permissions
	  (user could not see anything except highlight image and album title)

	* Change: Prevent the old 'example' geeklog_dir from causing a 
	  security violation

2004-07-29  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b75

	* Fix: Typo in config data.

2004-07-28  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b74

	* Change: Switch from rand() to mt_rand() because it's faster,
	  and more random.  Also, add mt_srand() in places where we
	  were missing srand() originally.

2004-07-28  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b73

	* Fix: Typo in register.php prevented user registration

	* Change: Unset the old invalid geeklog_dir during confirm

2004-07-27  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b72

	* Change: Completely eliminate the "embedded_inside_type" variable,
	  since *everything* is auto-detected anyway and it really wasn't used.  
	  GeekLog still requires one variable, but it was already dealt with as
	  needed.

2004-07-27  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b71

        * Fix: Prevent the random block from grabbing an album highlight as its
          image.

2004-07-27  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b70

        * Fix: Mambo popups failed to operate because the option var wasn't
          set on systems with register_globals disabled - how did this
          ever work?

        * Fix: Eliminate two shutterfly/print_photos notices in edit_appearance

2004-07-27  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b69

        * Fix: I believe that this should fix the issue that some users have
          had with extremely large Gallery installations during the upgrade
          script, where the albums just don't show up on the page at all.

2004-07-27  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b68

        * Fix: Display the 'view comments in nested album' links for all users
          in commentboxtop.inc.  This was restricted to admin/owner only, so it
          broke navigation when view comments was allowed for all users.

        * Change: Fix uninitialized variable notice

2004-07-26  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b67

        * Fix: Trim trailing spaces from setup vars where no-trailing-slash is
          set.  This prevents the "/usr/bin /pnmtojpeg" issue

        * Fix: The addition of the 'view comments' for everyone was exposing
          hidden photos since view_comments.php had been written with only
          the owner/admin in mind.

2004-07-25  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b66

	* Change: Remove bastard newlines from delete_user and delete_album that were causing
	  jscript errors in Firefox.

2004-07-25  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b65

	* Fix: In some strange permission sets we got non fitting error messages.
	  - When upload_tmp_dir is not in open_basedir
	  - When userdir and /or files in it are is not writeable.

2004-07-24  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b64

        * Fix: Redirect in multi_create_user didnt worked after successfull adding.
               Reason: doctype header was set before redirect header.

2004-07-23  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b63

	* Fix: Skins will be ignored when embedded.  This was causing a lot
	  of display issues for users due to skin colors conflicting with
	  embedding-system colors.

2004-07-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b62

        * Fix?: Revert an earlier checkin (b100?) that prevented a PHP notice
          when first loading sessions while embedded.  Some users report not
          getting a session at all in postnuke.  Since postnuke was the original
          problem, I'm confused, but this will work.  Supressing the notice using
          @session_start()

2004-07-22  Beckett Madden-Woods  <beckett@beckettmw.com> 1.5-cvs-b61

	* html_wrap/inline_imagewrap.inc: Removed showstopping typo

2004-07-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b60

        * Change: Remove the != SUNOS line from lib/lang.php
          We're under the assumption that it was added based on a bogus
          bug report some time ago because all docs (and user reports)
          claim that the LANG= line is necessary.

2004-07-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b59

	* Fix: Missing ]

2004-07-22 Jens A. Tkotz <jens@peino.de> 1.5-cvs-b58

	* Fix: Show Album Summary only if it exists.

	* Fix: wrong html around Album Summary.

	* Fix: Correct .vassummary class for all skins.

2004-07-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b57

	* Change: Better handling of the onsubmit/double-clicking issue
	  utilizing an 'action' input which is changed depending on
	  which button was clicked.

2004-07-22 Jens A. Tkotz <jens@peino.de> 1.5-cvs-b56

	* Change: Print Extra fields above comments in view_photo

	* New: Added css for album summary

	* Change: Print Album summary above voting results and button

	* Change: Cleanup and fixed irritating error messages in login

2004-07-22  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b55

	* Fix: Unset variable prevention

	* Fix: b0rked list() in last checkin

2004-07-21  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b54

	* Change: Partial de-globalization of config wizard.

2004-07-21  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b53

	* Change: 'No files' to 'All files', and remove a stray binary
	  char.

2004-07-21  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b52

	* Change: Whitespace readability changes

	* Change: Prevent unset variable notices from PHP

2004-07-21  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b51

	* Change: Prevent unset variable notices from PHP

2004-07-21  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b50

	* Change:  Simplify the output for the confirm page of the 
	  config wizard.  This allows us to use only one output buffer,
	  requiring less memory, and chance for error.

	  Errors are now placed inline with the normal config.php data,
	  and prepended with //, just like the "optional" lines.

2004-07-20  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b49

	* Change: getRequestVar, getEnvVar, getFilesVar now accept string arrays

	* Change: Correct the default value for the new SMTP option

2004-07-21  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b48

	* Change: show "highlight" under images when logged in as an admin
		if the image is a highlight

2004-07-20  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.5-cvs-b47

	* Merged in changes made to 1.4.4 branch, except for what ckdake
	  already merged (thanks ckdake).
	* Fixed applets when Gallery is embedded in phpBB2.

2004-07-20  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b46
                                                                                                    
        * Change: Users can specificy a mail server to use other than
		one running on the local machine.

2004-07-20  Chris Kelly <ckdake@users.sf.net> 1.5-cvs-b45

	* Change: When editing captions, provide a popup for each image to 
		show the sized image

2004-07-20  Pierre-Luc Paour  <paour@users.sourceforge.net> 1.5-cvs-b44

	* Fix: hidden albums are now indicated as such in fetch-album-images
	  (GR protocol)

2004-07-20  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b43

	* Change: Add 'alternate' link to the header if RSS is enabled

2004-07-20  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b42

	* Change: Check for fitToWindow before outputting the 'onclick'
	  attribute in view_photo.

2004-07-19  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b41

	* Change: Unglobalize login.php

2004-07-19  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b40

	* Change: Since we no longer do shutterfly donations, 
	  $gallery->app->default["print_photos"] can end up being ""
	  which causes the key() in view_photo to fail.  This prevents
	  the error message from key() and prevents printing of a blank
	  print href.

2004-07-19 JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b39

	* Change: New variable to pull the thumsize to create a 
		  defaultwidth and height for the divCell to align everything up.

2004-07-19 Jens A. Tkotz <jens@peino.de> 1.5-cvs-b38

	* Change: Added link to JoEllen Drazans Skin Page in ConfigWizard.

2004-07-18 Jens A. Tkotz <jens@peino.de> 1.5-cvs-b37

	* Change: Accidently reverted 1.5-cvs-b12 rereverted ;)

2004-07-18 Jens A. Tkotz <jens@peino.de> ; JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b36
	
	* Fix: Added css classes to have "old" layout.

	* New: Added version number and Last Update to Skins.

2004-07-18 Jens A. Tkotz <jens@peino.de> ; JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b35

	* Change: Continue Skin Changes.

	* New: added "bars002" as reference skin.

2004-07-18  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b34

	* Change: Minor fix for the view_album optimizations

2004-07-17  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b33

	* Change: Fix pseudo-register_globals to allow login/etc on PHP5
	  until it goes away.

2004-07-18 Jens A. Tkotz <jens@peino.de> ; JoEllen Drazan <skins@pownuke.com> 1.5-cvs-b32

	* New: Added possibility to use your own header footer via a template file.

2004-07-17 Jens A. Tkotz <jens@peino.de>  1.5-cvs-b31

	* Fix: bad quoting in util.php.

2004-07-17 Jens A. Tkotz <jens@peino.de>  1.5-cvs-b30 

	Change: No more $HTTP*.

2004-07-17 Jens A. Tkotz <jens@peino.de>  1.5-cvs-b29

	* Change: Switched more $HTTP Vars to superglobals. (not all)

2004-07-16  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b28

	* Change: Revert last change to album_permissions

	* Change: Fix PHP5 - they stopped using the old-style GET and POST
	  globals, and have switched to SuperGlobals only.  A couple session
	  and form functions needed adapting.

2004-07-16  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b27

	* Change: album_permissions - if $gallery->album is not set, but
	  set_albumName is, load it.

2004-07-16 Jens A. Tkotz <jens@peino.de>  1.5-cvs-b26

        * Change: Adapted contrib/phpBB2/modules.php to fit with phpBB2 2.0.9

        * Fix: added missing ; after a &quot in setup/configdata

	* Fix: change $noHeader to sendHeader in lib/lang.php and init with true instead false.
               Caught by Joerg Holzapfel

	* Change: Switch to superglobals in lib/lang.php

	* New: Added parameter for groups and fields in configwizard, 
	       that adds a little red start to notify user a required field.

2004-07-15  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b25

	* Change: We no longer use the 'donation' option with Shutterfly,
	  since we have an official affiliate agreement with them, now.
	  - Remove the 'donation' option from the config wizard
	  - Remove the 'donation' option from the album properties
	  - Rev the album version and remove the donation flag
	  - Fix setup text about donations/shutterfly

	* Change: Minor text tweak for upgrade album text in albums.php

	* Change: Fix unset variable error in print code.

2004-07-14  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b24

	* Change: Don't try and create clickable dimensions on albums.

2004-07-14  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b23

	* Change: Add a couple missing parens

2004-07-14  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b22

	* Change: Standardize on getRequestVar instead of Get/Post/Cookie

	* Change: $_SERVER is a trusted source.. no need to sanitize.

2004-07-14  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b21

	* Change: get(Request|Get|Post|Files|Env|Server)Vars() functions.
	  TODO - Add XSS filtering

2004-07-14 Jens A. Tkotz <jens@peino.de>  1.5-cvs-b20

	* Change: Tweaked modules.php again.

2004-07-14  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b19

	* Change: Forgot a !

2004-07-14  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b18

	* Change: First minor changes for 1.5.  Set the required
	  PHP version to 4.1.0, and add a setup function to check for 
	  the status of register_globals.

2004-07-13  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b17

	* Change: Give clickable dimensions their own table row to prevent
	  a scenario where they appear *beside* the image

2004-07-14 Jens A. Tkotz <jens@peino.de>  1.5-cvs-b16

	Fix: Use getImagePath for voting result bars.
	     Voting bars were not skinable. (caught by Jade)

	Fix: Adapted modules.php for phpBB2 2.0.9

2004-07-13  Alan Harder <alan.harder@sun.com>  1.5-cvs-b15

	* $album->save() after rehighlight in makeThumbnail() so new size is saved.

2004-07-13  Jens A. Tkotz <jens@peino.de>  1.5-cvs-b14

	* Fix: Added missing " in albums.php.
	  This caused every link after find orphans to be b0rked.

	* Fix: Added missing / to link to configwizard.

2004-07-13  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b13

	* Change: Add a 'rssMaxAlbums' option to the RSS page in the config wizard,
	  specifying the maximum number of changed albums to be returned in
	  the feed.  Defaults to 25.

	* Change: Try and optimize the number of times we use isHiddenRecurse and
	  canReadRecurse when populating the RSS data

2004-07-11  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b12

	* Change: Get rid of the 'FRAME' alt= tags because it's valid HTML
	  with alt="", and jmullan's right.. they look like ass in lynx.

2004-07-11  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b11

	* Change: Hidden images/albums could be *too* hidden (owner couldn't see them)

	* Change: slideshow validation URL is based on whether you're looking at an
	  album, or the gallery-wide show.

	* Typo: Another photoAlbumUrl -> photoAlbumURL 
	  (so much for variables being case insensitive)

2004-07-11  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b10

	* Typo: photoAlbumURL not photoAlbumUrl

2004-07-11  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b9

	* Change: $adminCommands links now use CSS to prevent breaks in 
	  two-word links. (e.g. "[manage users]")

	* Change: Change 'one' to '1' to maintain consistancy

	* Change: Clear up to possible PHP notices for use_exif being
	  unset.

2004-07-11  Jens A. Tkotz <jens@peino.de> 1.5-cvs-b8

	*  Fix: Links to config wizard and find orphans were not working embedded.
		1.) Changed Link to wizard to direct Url
		2.) Added tools/find_orphans.php to allowed list and modified the file itself, 
		    to work embedded.

2004-07-11  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b7

	* Change: Check the UserDB for consistancy before logging into
	  the config wizard.

2004-07-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b6

	* Change: Incorrect variable assignment in view_album optimization
	  could yield hidden photos viewable

2004-07-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b5

	* Change: Center the block-random image, to match the text

2004-07-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b4

	* Change: Update security message to mention secure.sh, and only
	  appear on non-Windows OSes.

2004-07-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b3

	* Change: Logout with relative URLs would return a redirect error
	  due to doubling of the photoAlbumUrl

2004-07-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b2

	* Change: Another case of relying on the submit button for a value,
	  but it's now disabled

2004-07-10  Jay Rossiter <cryptographite@users.sf.net>  1.5-cvs-b1

	* Change: (1.4.4RC1) Check POST vars for $include before resetting to 'albums.php'

FOR THE REST OF THE CHANGELOG, SEE ChangeLog.archive.gz
